org.kie.internal.conf

## Enum ShareAlphaNodesOption

- java.lang.Object
- - java.lang.Enum<ShareAlphaNodesOption>
  - - org.kie.internal.conf.ShareAlphaNodesOption

- All Implemented Interfaces:
    Serializable, Comparable<ShareAlphaNodesOption>, org.kie.api.conf.KieBaseOption, org.kie.api.conf.Option, org.kie.api.conf.SingleValueKieBaseOption

      public enum ShareAlphaNodesOption
      extends Enum<ShareAlphaNodesOption>
      implements org.kie.api.conf.SingleValueKieBaseOption

  An Enum for ShareAlphaNodes option. drools.shareAlphaNodes = <true|false> DEFAULT = true

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO`
    `YES`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME` The property name for the sequential mode option

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPropertyName()`
    `boolean` | `isShareAlphaNodes()`
    `static ShareAlphaNodesOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ShareAlphaNodesOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YES

          public static final ShareAlphaNodesOption YES

    - #### NO

          public static final ShareAlphaNodesOption NO

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the sequential mode option
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static ShareAlphaNodesOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ShareAlphaNodesOption c : ShareAlphaNodesOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ShareAlphaNodesOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### isShareAlphaNodes

          public boolean isShareAlphaNodes()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.